# -*- rpm-spec -*-
# $Id: xemacs-xtla,v 1.3 2005/03/13 15:20:46 me Exp $

# Matthieu.Moy@imag.fr--public/xtla--main--0.9--patch-50
# http://www-verimag.imag.fr/~moy/arch/public
%define patchlevel pl50

Name: xemacs-xtla
Version: 0.9
Release: alt0.1

%define_xemacs_site_package xtla

Summary: XEmacs frontend to tla (GNU Arch client).
License: GPL
Group: Editors
Url: https://gna.org/projects/xtla-el

%ifdef patchlevel
Source: %xemacs_package-%version%patchlevel.tar.bz2
%else
Source: %url/%xemacs_package-%version.tar.bz2
%endif

Patch0: %xemacs_package-0.9-require-onearg.patch
Patch1: %xemacs_package-0.9-lispdir.patch
Patch2: %xemacs_package-0.9-make.patch

Requires: xemacs-base xemacs-ediff xemacs-jde
BuildRequires: tla xemacs-extras xemacs-jde

%description
Xtla is the Emacs front-end to tla (GNU Arch client). It mainly
provides user-friendly wrappers for tla native commands.
The main features are:
  * PCL-CVS like interface for tla inventory and tla changes
  * Archive browser - navigate painlessly through archives, categories,
    branches, versions, etc.
  * Good integration in Emacs - almost everything can be done from
    within the editor
  * Bookmark manager - keep the most frequently used arch locations in
    your bookmark buffer
  * Integration with ediff, Emacs's graphical diff tool
      - to view changes made in a local tree.
      - to view and resolve conflicts after a merge.
  * Interface to view missing patches from all your partners with a
    single command
  * An Emacs mode for arch-related files (log files, =tagging-method)

%prep
%setup -q %{?patchlevel:-c}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%__autoconf
%configure --with-emacs=xemacs
%__make RELEASE_ID=%version%{?patchlevel:%patchlevel}

%install
%xemacs_makeinstall info_dir=%buildroot%_xemacs_infodir
%xemacs_package_find_files

%post
%xemacs_install_info %xemacs_package.info

%preun
%xemacs_uninstall_info %xemacs_package.info

%files -f %name-files

%changelog
* Sun Mar 13 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.9-alt0.1
- first attempt

